Bug 8474 - Kernel oops and kernel panic on stock redhat kernel (LRU block list corrupted)
Kernel oops and kernel panic on stock redhat kernel (LRU block list corrupted)
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.1
All Linux
medium Severity high
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-01-14 13:16 EST by Yaron Minsky
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-17 15:00:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yaron Minsky 2000-01-14 13:16:03 EST
I've been getting periodic kernel oops/kernel panics for reasons I don't
quite know.  No recent hardware changes, so I'm not sure what the cause is.
I suspect that the pcmcia subsystem is somehow involved.  The actual kernel
panic happened while switching tracks on xmms---no idea if that is related.

The kernel oops/panics have only started recently.  No hardware or serious
software change lately, so I don't have a good idea what the preciptiating
problem is.  I'd be glad to do some diagnostics if I knew what would be
helpful.

Here's the information from /var/log/messages:

Jan 14 12:13:29 snapdragon cardmgr[657]: executing: 'insmod
/lib/modules/2.2.12-20/net/8390.o'
Jan 14 12:13:29 snapdragon cardmgr[657]: executing: 'insmod
/lib/modules/2.2.12-20/pcmcia/pcnet_cs.o'
Jan 14 12:13:29 snapdragon cardmgr[657]: executing: 'insmod
/lib/modules/2.2.12-20/pcmcia/serial_cs.o'
Jan 14 12:13:29 snapdragon kernel: eth0: NE2000 Compatible: io 0x300, irq
3, hw_addr 00:E0:98:08:27:6B
Jan 14 12:13:29 snapdragon kernel: tty02 at 0x03e8 (irq = 3) is a 16550A
Jan 14 12:13:29 snapdragon cardmgr[657]: executing: './network start eth0'
Jan 14 12:13:30 snapdragon cardmgr[657]: + usage: ifup <device name>
Jan 14 12:13:30 snapdragon cardmgr[657]: start cmd exited with status 1
Jan 14 12:13:30 snapdragon cardmgr[657]: executing: './serial start ttyS2'
Jan 14 12:13:42 snapdragon PAM_pwdb[4068]: (su) session opened for user
root by yminsky(uid=500)
Jan 14 12:13:45 snapdragon kernel: Unable to handle kernel paging request
at virtual address 9b8ca301
Jan 14 12:13:45 snapdragon kernel: current->tss.cr3 = 00101000, %cr3 =
00101000
Jan 14 12:13:45 snapdragon kernel: *pde = 00000000
Jan 14 12:13:45 snapdragon kernel: Oops: 0002
Jan 14 12:13:45 snapdragon kernel: CPU:    0
Jan 14 12:13:46 snapdragon kernel: EIP:
0010:[remove_from_queues+178/328]
Jan 14 12:13:46 snapdragon kernel: EFLAGS: 00010246
Jan 14 12:13:46 snapdragon kernel: eax: 00000000   ebx: c0007bc0   ecx:
c0007bc0   edx: 9b8ca301
Jan 14 12:13:46 snapdragon kernel: esi: c0007b60   edi: 00000000   ebp:
c02799d8   esp: c9fd1f94
Jan 14 12:13:46 snapdragon kernel: ds: 0018   es: 0018   ss: 0018
Jan 14 12:13:46 snapdragon kernel: Process kswapd (pid: 5, process nr: 5,
stackpage=c9fd1000)
Jan 14 12:13:46 snapdragon kernel: Stack: c0007c20 c0127e79 c0007bc0
c02799d8 0000027a 00000030 c9fd0000 c011cfde
Jan 14 12:13:46 snapdragon kernel:        c02799d8 0000000e 00000006
c0121cf2 00000006 00000030 00000000 c01d3bce
Jan 14 12:13:46 snapdragon kernel:        c9fd01c1 c0121d97 00000030
00000f00 c9febfc0 c0106000 00000000 c01088a3
Jan 14 12:13:46 snapdragon kernel: Call Trace: [try_to_free_buffers+69/132]
[shrink_mmap+214/300] [do_try_to_free_pages+38/120] [tve
cs+7310/13664] [kswapd+83/196] [get_options+0/116] [kernel_thread+35/48]
Jan 14 12:13:46 snapdragon kernel: Code: 89 02 c7 41 34 00 00 00 00 ff 0d
9c c5 20 c0 8b 51 38 85 d2
Jan 14 12:16:12 snapdragon kernel: tty02 unloaded
Jan 14 12:16:12 snapdragon cardmgr[657]: shutting down socket 1
Jan 14 12:16:12 snapdragon cardmgr[657]: executing: './network stop eth0'
Jan 14 12:16:12 snapdragon cardmgr[657]: + Operation failed.
Jan 14 12:16:12 snapdragon cardmgr[657]: executing: './serial stop ttyS2'
Jan 14 12:16:12 snapdragon cardmgr[657]: executing: 'rmmod pcnet_cs'
Jan 14 12:16:13 snapdragon cardmgr[657]: executing: 'rmmod 8390'
Jan 14 12:16:13 snapdragon cardmgr[657]: executing: 'rmmod serial_cs'
Jan 14 12:16:15 snapdragon cardmgr[657]: initializing socket 1
Jan 14 12:16:15 snapdragon cardmgr[657]: socket 1: Linksys EtherFast
LANmodem 56K
Jan 14 12:16:15 snapdragon cardmgr[657]: executing: 'insmod
/lib/modules/2.2.12-20/net/8390.o'
Jan 14 12:16:15 snapdragon cardmgr[657]: executing: 'insmod
/lib/modules/2.2.12-20/pcmcia/pcnet_cs.o'
Jan 14 12:16:15 snapdragon cardmgr[657]: executing: 'insmod
/lib/modules/2.2.12-20/pcmcia/serial_cs.o'
Jan 14 12:16:15 snapdragon kernel: eth0: NE2000 Compatible: io 0x300, irq
3, hw_addr 00:E0:98:08:27:6B
Jan 14 12:16:15 snapdragon kernel: tty02 at 0x03e8 (irq = 3) is a 16550A
Jan 14 12:16:15 snapdragon cardmgr[657]: executing: './network start eth0'
Jan 14 12:16:18 snapdragon pumpd[2669]: configured interface eth0
Jan 14 12:16:18 snapdragon cardmgr[657]: + Determining IP information for
eth0... done.
Jan 14 12:16:18 snapdragon cardmgr[657]: executing: './serial start ttyS2'
Jan 14 12:18:30 snapdragon inet: inetd shutdown succeeded
Jan 14 12:18:31 snapdragon inet: inetd startup succeeded
Jan 14 12:18:31 snapdragon inetd[4303]: auth/tcp: bind: Address already in
use
Jan 14 12:26:51 snapdragon PAM_pwdb[4068]: (su) session closed for user
root
Jan 14 12:28:31 snapdragon inetd[4303]: auth/tcp: bind: Address already in
use
Jan 14 12:38:31 snapdragon inetd[4303]: auth/tcp: bind: Address already in
use
Jan 14 12:48:31 snapdragon inetd[4303]: auth/tcp: bind: Address already in
use
Jan 14 12:58:31 snapdragon inetd[4303]: auth/tcp: bind: Address already in
use
Jan 14 13:08:31 snapdragon inetd[4303]: auth/tcp: bind: Address already in
use
Jan 14 13:09:07 snapdragon kernel: Kernel panic: VFS: LRU block list
corrupted
Jan 14 13:15:21 snapdragon syslogd 1.3-3: restart.
Comment 1 Yaron Minsky 2000-01-14 13:18:59 EST
Another comment: The hardware platform I'm running on is a Gateway Solo 2500,
the only extra hardware being a LinkSys 56k modem/enet card.
Comment 2 Peter J. Holzer 2000-02-05 14:21:59 EST
I also get this panic rather frequently on one machine:

Pentium III 500 MHz on an ASUS P2B-S Motherboard with 256 MB RAM,
IBM DNES-309170W 9GB LVD disk.

Panics seem to be related to heavy disk activity.

Here is a ksymoops output:

kernel panic: VFS: LRU block list corrupted
Unable to handle kernel NULL pointer dereference at virtual address 00000000
current->tss.cr3 = 00101000 %cr3 = 00101000
*pde = 00000000
Oops: 2
CPU: 0
EIP: 0010:[<c01210e1>]
EFLAGS: 00010282
eax: 0000003d ebx: c6f2fd20 ecx: ffffffff edx: 0000003c
esi: cffef740 edi: 00000282 ebp: c6e02fe0 esp: cffd1f70
ds: 0018 es: 0018 ss: 0018
Process kswapd (pid: 5, process nr: 5, stackpage=cffd1000)
Stack: c6f2fd20 c037a9e0 c6fsfd7c cffef740 c01271fd cffef740 c6f2fd20 c6f2fd20
       c6f2fd20 c0127e7f c6f2fd20 c6f2fd20 c037a9e0 000003fe 00000030 cffd0000
       c011cfde c037a9e0 00000015 00000006 c0121cf2 00000006 00000030 00000000
Call Trace: [<c01271fd>] [<c0127e7f>] [<c011cfde>] [<c0121cf2>] [<c01d3bce>]
    [<c0121d97>] [<c0106000>] [<c01088a3>]
Code: c7 05 00 00 00 00 00 00 00 00 eb 12 8d 76 00 56 53 68 de 39

>>EIP: c01210e1 <kmem_cache_free+14d/174>
Trace: c01271fd <breada+199/890>
Trace: c0127e7f <generic_readpage+1c7/aa4>
Trace: c011cfde <truncate_inode_pages+27e/2d4>
Trace: c0121cf2 <kmem_find_general_cachep+736/db0>
Trace: c01d3bce <sprintf+6466/1c558>
Trace: c0121d97 <kmem_find_general_cachep+7db/db0>
Code:  c01210e1 <kmem_cache_free+14d/174>      00000000 <_EIP>: <===
Code:  c01210e1 <kmem_cache_free+14d/174>         0:    c7 05 00 00 00 00 00
movl   $0x0,0x0 <===
Code:  c01210e8 <kmem_cache_free+154/174>         7:    00 00 00
Code:  c01210eb <kmem_cache_free+157/174>         a:    eb 12
jmp     c01210ff <kmem_cache_free+16b/174>
Code:  c01210ed <kmem_cache_free+159/174>         c:    8d 76 00
leal   0x0(%esi),%esi
Code:  c01210f0 <kmem_cache_free+15c/174>         f:    56
pushl  %esi
Code:  c01210f1 <kmem_cache_free+15d/174>        10:    53
pushl  %ebx
Code:  c01210f2 <kmem_cache_free+15e/174>        11:    68 de 39 00 00
pushl  $0x39de

Kernel panic: VFS: LRU block list corrupted

7 warnings and 1 error issued.  Results may not be reliable.
Comment 3 Peter J. Holzer 2000-02-13 07:58:59 EST
I want to cancel my comment to this bug. It turned out to be a hardware problem
(Bad RAM).

Note You need to log in before you can comment on or make changes to this bug.